求助,关于vim,

为当前最终发行版之前的所有版本提供支持
回复
potaski@hotmail.com
帖子: 4
注册时间: 2011-01-28 12:15
送出感谢: 0
接收感谢: 0

求助,关于vim,

#1

帖子 potaski@hotmail.com » 2011-03-14 9:45

vim后提示:
程序“vim”已包含在下列软件包中:
* vim
* vim-gnome
* vim-tiny
* vim-gtk
* vim-nox
请尝试:sudo apt-get install <选定的软件包>

我就sudo apt-get install vim:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
现在没有可用的软件包 vim,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到
E: 软件包 vim 没有可供安装的候选者

很奇怪,以前都这么装得,突然不行了?前几天wubi重装过。

然后我进了新立得搜索vim,有两个包是已安装的,vim-common和-tiny
头像
lainme
论坛版主
帖子: 7805
注册时间: 2008-09-13 19:17
系统: Arch Linux (x86_64)
送出感谢: 3 次
接收感谢: 68 次
联系:

Re: 求助,关于vim,

#2

帖子 lainme » 2011-03-14 10:12

更新下源?
potaski@hotmail.com
帖子: 4
注册时间: 2011-01-28 12:15
送出感谢: 0
接收感谢: 0

Re: 求助,关于vim,

#3

帖子 potaski@hotmail.com » 2011-03-14 10:42

lainme 写了:更新下源?
有没有稳定的更新源推荐?
头像
lainme
论坛版主
帖子: 7805
注册时间: 2008-09-13 19:17
系统: Arch Linux (x86_64)
送出感谢: 3 次
接收感谢: 68 次
联系:

Re: 求助,关于vim,

#4

帖子 lainme » 2011-03-14 11:47

"软件源"那个软件里的都是认证的源,挑个中国的。
头像
zhuangxiaomeng
帖子: 454
注册时间: 2010-03-15 14:14
送出感谢: 0
接收感谢: 0
联系:

Re: 求助,关于vim,

#5

帖子 zhuangxiaomeng » 2011-03-14 12:30

163
windows7 +Linuxdeepin 11.12 +debian testing
头像
VNessie
帖子: 118
注册时间: 2007-05-08 17:58
送出感谢: 0
接收感谢: 0
联系:

Re: 求助,关于vim,

#6

帖子 VNessie » 2011-03-14 13:04

请输入 vi 回车
potaski@hotmail.com
帖子: 4
注册时间: 2011-01-28 12:15
送出感谢: 0
接收感谢: 0

Re: 求助,关于vim,

#7

帖子 potaski@hotmail.com » 2011-03-14 14:41

换源解决,谢谢大神们
vi一直用不惯!
回复

回到 “老旧版本支持”